[arch-commits] Commit in i8kmon/trunk (i8kmon i8kmon.daemon)
Eric Bélanger
eric at archlinux.org
Fri Nov 14 08:06:38 UTC 2008
Date: Friday, November 14, 2008 @ 03:06:37
Author: eric
Revision: 19031
upgpkg: i8kmon 1.27-1
fixed daemon filename committed in svn
Added:
i8kmon/trunk/i8kmon.daemon
Deleted:
i8kmon/trunk/i8kmon
---------------+
i8kmon | 37 -------------------------------------
i8kmon.daemon | 37 +++++++++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+), 37 deletions(-)
Deleted: i8kmon
===================================================================
--- i8kmon 2008-11-14 08:03:27 UTC (rev 19030)
+++ i8kmon 2008-11-14 08:06:37 UTC (rev 19031)
@@ -1,37 +0,0 @@
-#!/bin/bash
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-PID=`pidof -o %PPID /usr/bin/i8kmon`
-case "$1" in
- start)
- stat_busy "Starting i8kmon Daemon"
- if [ -z "$PID" ]; then
- /usr/bin/i8kmon -d &
- fi
- if [ ! -z "$PID" -o $? -gt 0 ]; then
- stat_fail
- else
- add_daemon i8kmon
- stat_done
- fi
- ;;
- stop)
- stat_busy "Stopping i8kmon Daemon"
- [ ! -z "$PID" ] && kill $PID &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm_daemon i8kmon
- stat_done
- fi
- ;;
- restart)
- $0 stop
- sleep 1
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
Added: i8kmon.daemon
===================================================================
--- i8kmon.daemon (rev 0)
+++ i8kmon.daemon 2008-11-14 08:06:37 UTC (rev 19031)
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/i8kmon`
+case "$1" in
+ start)
+ stat_busy "Starting i8kmon Daemon"
+ if [ -z "$PID" ]; then
+ /usr/bin/i8kmon -d &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon i8kmon
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping i8kmon Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon i8kmon
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
More information about the arch-commits
mailing list